Package org.apache.solr.client.solrj.io.stream

## Class ParallelListStream.StreamIndex

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.ParallelListStream.StreamIndex

Enclosing class:
  ParallelListStream

    protected class ParallelListStream.StreamIndex
    extends Object

### Constructor Summary

Constructors
`StreamIndex​(TupleStream tupleStream, int index)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getIndex()`
`TupleStream` `getTupleStream()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamIndex

    public StreamIndex​(TupleStream tupleStream,
                       int index)

### Method Detail

#### getIndex

    public int getIndex()

#### getTupleStream

    public TupleStream getTupleStream()